From 85a00762ba939088b2f01f6d15c956d6412a3609 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Hugo=20Beauz=C3=A9e-Luyssen?= <beauze.h@gmail.com>
Date: Tue, 24 Jan 2012 00:11:04 +0100
Subject: [PATCH 04/11] bluray: Adding an overlay handling skeleton.

---
 modules/access/bluray.c |   15 +++++++++++++--
 1 files changed, 13 insertions(+), 2 deletions(-)

diff --git a/modules/access/bluray.c b/modules/access/bluray.c
index 9733725..c6a2243 100644
--- a/modules/access/bluray.c
+++ b/modules/access/bluray.c
@@ -87,8 +87,10 @@ static int     blurayDemuxMenu(demux_t *);
 static int     blurayInitTitles(demux_t *p_demux );
 static int     bluraySetTitle(demux_t *p_demux, int i_title);
 
-static void     blurayHandleEvent( demux_t *p_demux, const BD_EVENT *e );
-static void     blurayHandleEvents( demux_t *p_demux );
+static void    blurayHandleEvent( demux_t *p_demux, const BD_EVENT *e );
+static void    blurayHandleEvents( demux_t *p_demux );
+
+static void    blurayOverlayProc( void *ptr, const BD_OVERLAY * const overlay );
 
 #define FROM_TICKS(a) (a*CLOCK_FREQ / INT64_C(90000))
 #define TO_TICKS(a)   (a*INT64_C(90000)/CLOCK_FREQ)
@@ -192,6 +194,8 @@ static int blurayOpen( vlc_object_t *object )
          * Therefore, We don't have to select any title.
          */
         bd_play( p_sys->bluray );
+        /* Registering overlay event handler */
+        bd_register_overlay_proc( p_sys->bluray, p_demux, blurayOverlayProc );
     }
     else
     {
@@ -250,6 +254,13 @@ static void blurayClose( vlc_object_t *object )
     free(p_sys);
 }
 
+static void blurayOverlayProc( void *ptr, const BD_OVERLAY *const overlay )
+{
+    demux_t     *p_demux = (demux_t*)ptr;
+    demux_sys_t *p_sys = p_demux->p_sys;
+
+    //FIXME
+}
 
 static int blurayInitTitles(demux_t *p_demux )
 {
-- 
1.7.8.4

